Method: projects.locations.spaces.catalogs.templates.revisions.fetchAssessmentReport

Fetches the assessment report of a catalog template revision if present.

HTTP request

GET https://designcenter.googleapis.com/v1/{name=projects/*/locations/*/spaces/*/catalogs/*/templates/*/revisions/*}:fetchAssessmentReport

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The catalog template revision name in the following format: projects/{project}/locations/{location}/spaces/{space}/catalogs/{catalog}/templates/{template}/revisions/{revision}

Request body

The request body must be empty.

Response body

Response message for revisions.fetchAssessmentReport.

If successful, the response body contains data with the following structure:

JSON representation
{
  "assessmentReport": {
    object (AssessmentReport)
  }
}
Fields
assessmentReport

object (AssessmentReport)

Assessment report for the catalog template revision.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • designcenter.catalogTemplateRevisions.get

For more information, see the IAM documentation.